use std::{thread, sync::mpsc};

fn main() {
    let (tx, rx) = mpsc::channel();

    thread::spawn(move || {
        let v = String::from("hello");
        tx.send(v).unwrap();  // v 的所有权 move，后边不能在使用
    });

    let received = rx.recv().unwrap();
    println!("received: {}", received);
}
